
From: "Martin J. Bligh" <mbligh@aracnet.com>

There's no real need to BUG and stop the system from booting if the BIOS
spec'ed apicid for the boot CPU isn't correct - we can continue perfectly
well with the real one.



---

 25-akpm/arch/i386/kernel/smpboot.c |    3 +--
 1 files changed, 1 insertion(+), 2 deletions(-)

diff -puN arch/i386/kernel/smpboot.c~smp_boot_cpus-BUG-removal arch/i386/kernel/smpboot.c
--- 25/arch/i386/kernel/smpboot.c~smp_boot_cpus-BUG-removal	Tue Feb 17 13:15:48 2004
+++ 25-akpm/arch/i386/kernel/smpboot.c	Tue Feb 17 13:15:48 2004
@@ -949,6 +949,7 @@ static void __init smp_boot_cpus(unsigne
 	printk("CPU%d: ", 0);
 	print_cpu_info(&cpu_data[0]);
 
+	boot_cpu_physical_apicid = GET_APIC_ID(apic_read(APIC_ID));
 	boot_cpu_logical_apicid = logical_smp_processor_id();
 
 	current_thread_info()->cpu = 0;
@@ -1011,8 +1012,6 @@ static void __init smp_boot_cpus(unsigne
 	setup_local_APIC();
 	map_cpu_to_logical_apicid();
 
-	if (GET_APIC_ID(apic_read(APIC_ID)) != boot_cpu_physical_apicid)
-		BUG();
 
 	setup_portio_remap();
 

_
